Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | List of all members
PlatformFont Class Referenceabstract

`#include <platformFont.h>`

Inheritance diagram for PlatformFont:

## Classes
struct | CharInfo

## Public Member Functions
| PlatformFont ()
virtual | ~PlatformFont ()
virtual bool | isValidChar (const UTF16 ch) const =0
virtual bool | isValidChar (const UTF8 *str) const =0
virtual U32 | getFontHeight () const =0
virtual U32 | getFontBaseLine () const =0
virtual PlatformFont::CharInfo & | getCharInfo (const UTF16 ch) const =0
virtual PlatformFont::CharInfo & | getCharInfo (const UTF8 *str) const =0
virtual bool | create (const char *name, U32 size, U32 charset=TGE_ANSI_CHARSET)=0

## Static Public Member Functions
static void | enumeratePlatformFonts (Vector< StringTableEntry > &fonts)

## Constructor & Destructor Documentation

PlatformFont | ( |  | ) |
| inline

virtual ~PlatformFont | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual bool create | ( | const char * | name,
|  | U32 | size,
|  | U32 | charset = `TGE_ANSI_CHARSET`
| ) |  |
| pure virtual

Implemented in AndroidFont, and EmscriptenFont.

void enumeratePlatformFonts | ( | Vector< StringTableEntry > & | fonts | ) |
| static

virtual PlatformFont::CharInfo& getCharInfo | ( | const UTF16 | ch | ) | const
| pure virtual

Implemented in AndroidFont, and EmscriptenFont.

virtual PlatformFont::CharInfo& getCharInfo | ( | const UTF8 * | str | ) | const
| pure virtual

Implemented in AndroidFont, and EmscriptenFont.

virtual U32 getFontBaseLine | ( |  | ) | const
| pure virtual

Implemented in AndroidFont, and EmscriptenFont.

virtual U32 getFontHeight | ( |  | ) | const
| pure virtual

Implemented in AndroidFont, and EmscriptenFont.

virtual bool isValidChar | ( | const UTF16 | ch | ) | const
| pure virtual

Implemented in AndroidFont, and EmscriptenFont.

virtual bool isValidChar | ( | const UTF8 * | str | ) | const
| pure virtual

Implemented in AndroidFont, and EmscriptenFont.

The documentation for this class was generated from the following files:

- platform/platformFont.h
- platformAndroid/AndroidFont.cpp
- platformEmscripten/EmscriptenFont.cpp